%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File:         PXC:COMPILER.SL
% Description:  PSL Compiler.
% Author:       Harold Carr & Leigh Stoller
% Created:
% Modified:
% Mode:         Lisp
% Package:
% Status:       Experimental (Do Not Distribute)
%
% (c) Copyright 1987, University of Utah, all rights reserved.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% This file loads in all the compiler modules for Ibmrs.
%

(load datamachine
      pass-1
      pass-2-3
      comp-decls
      pass-1-lap
      !Ibmrs-lap
      !Ibmrs-cmac
      !Ibmrs-comp
      backquote         % Needed for Ibmrs LAP patterns.
      registers
      !Ibmrs-instrs
      faslout
      !Ibmrs-spec)

(setq *writingfaslfile nil)
(setq *writingasmfile nil)

% End of file.
